LLVM: lldb::SBFileSpec Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Friends | List of all members
lldb::SBFileSpec Class Reference

`#include <SBFileSpec.h>`

## Public Member Functions
| SBFileSpec ()
| SBFileSpec (const lldb::SBFileSpec &rhs)
| SBFileSpec (const char *path)
| SBFileSpec (const char *path, bool resolve)
| ~SBFileSpec ()
const SBFileSpec & | operator= (const lldb::SBFileSpec &rhs)
bool | IsValid () const
bool | Exists () const
bool | ResolveExecutableLocation ()
const char * | GetFilename () const
const char * | GetDirectory () const
uint32_t | GetPath (char *dst_path, size_t dst_len) const
bool | GetDescription (lldb::SBStream &description) const

## Static Public Member Functions
static int | ResolvePath (const char *src_path, char *dst_path, size_t dst_len)

## Friends
class | SBAttachInfo
class | SBBlock
class | SBCompileUnit
class | SBDeclaration
class | SBFileSpecList
class | SBHostOS
class | SBLaunchInfo
class | SBLineEntry
class | SBModule
class | SBModuleSpec
class | SBProcess
class | SBSourceManager
class | SBThread
class | SBTarget

## Detailed Description

Definition at line 17 of file SBFileSpec.h.

## Constructor & Destructor Documentation

lldb::SBFileSpec::SBFileSpec | ( |  | ) |

lldb::SBFileSpec::SBFileSpec | ( | const lldb::SBFileSpec & | rhs | ) |

lldb::SBFileSpec::SBFileSpec | ( | const char * | path | ) |

lldb::SBFileSpec::SBFileSpec | ( | const char * | path,
|  | bool | resolve
| ) |  |

lldb::SBFileSpec::~SBFileSpec | ( |  | ) |

## Member Function Documentation

bool lldb::SBFileSpec::Exists | ( |  | ) | const

bool lldb::SBFileSpec::GetDescription | ( | lldb::SBStream & | description | ) | const

const char* lldb::SBFileSpec::GetDirectory | ( |  | ) | const

const char* lldb::SBFileSpec::GetFilename | ( |  | ) | const

uint32_t lldb::SBFileSpec::GetPath | ( | char * | dst_path,
|  | size_t | dst_len
| ) |  | const

bool lldb::SBFileSpec::IsValid | ( |  | ) | const

const SBFileSpec& lldb::SBFileSpec::operator= | ( | const lldb::SBFileSpec & | rhs | ) |

bool lldb::SBFileSpec::ResolveExecutableLocation | ( |  | ) |

static int lldb::SBFileSpec::ResolvePath | ( | const char * | src_path,
|  | char * | dst_path,
|  | size_t | dst_len
| ) |  |
| static

## Friends And Related Function Documentation

friend class SBAttachInfo
| friend

Definition at line 58 of file SBFileSpec.h.

friend class SBBlock
| friend

Definition at line 59 of file SBFileSpec.h.

friend class SBCompileUnit
| friend

Definition at line 60 of file SBFileSpec.h.

friend class SBDeclaration
| friend

Definition at line 61 of file SBFileSpec.h.

friend class SBFileSpecList
| friend

Definition at line 62 of file SBFileSpec.h.

friend class SBHostOS
| friend

Definition at line 63 of file SBFileSpec.h.

friend class SBLaunchInfo
| friend

Definition at line 64 of file SBFileSpec.h.

friend class SBLineEntry
| friend

Definition at line 65 of file SBFileSpec.h.

friend class SBModule
| friend

Definition at line 66 of file SBFileSpec.h.

friend class SBModuleSpec
| friend

Definition at line 67 of file SBFileSpec.h.

friend class SBProcess
| friend

Definition at line 68 of file SBFileSpec.h.

friend class SBSourceManager
| friend

Definition at line 69 of file SBFileSpec.h.

friend class SBTarget
| friend

Definition at line 71 of file SBFileSpec.h.

friend class SBThread
| friend

Definition at line 70 of file SBFileSpec.h.

The documentation for this class was generated from the following file:

- SBFileSpec.h